# Interface LoggerInterface

All Known Implementing Classes:
  `DefaultLogger`

public interface LoggerInterface
Interface used for the logging mechanism.

## Method Summary

Modifier and Type
Method
Description
`void`
`debug(String txt)`
Writes a log at DEBUG level.
`void`
`error(String txt)`
Writes a log at ERROR level.
`void`
`errorEx(String txt, Throwable e)`
Writes a log at ERROR level with detail on exception.
`void`
`fatal(String txt)`
Writes a log at FATAL level.
`void`
`fatalEx(String txt, Throwable e)`
Writes a log at ERROR level with detail on exception.
`void`
`info(String txt)`
Writes a log at INFO level.
`void`
`warn(String txt)`
Writes a log at WARN level.
`void`
`warnEx(String txt, Throwable e)`
Writes a log at WARN level with detail on exception.

## Method Details

### debug

void debug(String txt)
Writes a log at DEBUG level.

Parameters:
  `txt` - String to write.

### info

void info(String txt)
Writes a log at INFO level.

Parameters:
  `txt` - String to write.

### warn

void warn(String txt)
Writes a log at WARN level.

Parameters:
  `txt` - String to write.

### warnEx

void warnEx(String txt, Throwable e)
Writes a log at WARN level with detail on exception.

Parameters:
  `txt` - String to write.
  `e` - Exception.

### error

void error(String txt)
Writes a log at ERROR level.

Parameters:
  `txt` - String to write.

### errorEx

void errorEx(String txt, Throwable e)
Writes a log at ERROR level with detail on exception.

Parameters:
  `txt` - String to write.
  `e` - Exception.

### fatal

void fatal(String txt)
Writes a log at FATAL level.

Parameters:
  `txt` - String to write.

### fatalEx

void fatalEx(String txt, Throwable e)
Writes a log at ERROR level with detail on exception.

Parameters:
  `txt` - String to write.
  `e` - Exception.